# bezerk.tcl by David N. Welton <davidw@efn.org>
# this is sort of a rough attempt.. if you have ideas on how to improve it
# feel free to let me know.  I'm not that into irc scripting, but I thought 
# that it would be cool to add tcl support to Bezerk.

# To use 'mynick' or other global C variables, you have to add them with 'global'.

# extra commands:
# on links a particular event to a tcl proc

on "kick" "onkick"
on "privmsgme" "onprivmsgme"
on "privmsgchan" "onprivmsgchan"
on "noticeme" "onnoticeme"
on "noticechan" "onnoticechan"
on "join" "onjoin"
on "part" "onpart"
on "quit" "onquit"
on "nick" "onnick"
on "topic" "ontopic"
on "invite" "oninvite"
on "kill" "onkill"
on "mode" "onmode"
on "chanmode" "onchanmode"

proc onkick { nick address chan victim msg } {
    puts "$nick $address $chan $victim $msg"
    send_command "privmsg $mynick :$victim got the boot, oh no!"
}

proc onprivmsgme { nick address msg } {
    global mynick
    puts "$nick $address $msg"
}
proc onprivmsgchan { nick address chan msg } {
    puts "$nick $address $chan $msg"
}
proc onnotice { nick address chan msg } {
    puts "$nick $address $chan $msg"
}
proc onjoin { nick address chan } {
    puts "$nick $address $chan"
}
proc onpart { nick address chan } {
    puts "$nick $address $chan"
}
proc onquit { nick address msg } {
    puts "$nick $address $msg"
}
proc onnick { nick address newnick } {
    puts "$nick $address $newnick"
}
proc ontopic { nick address chan msg } {
    puts "$nick $address $chan $msg"
}
proc oninvite { nick address chan } {
    puts "$nick $address $chan"
}
proc onkill { nick address chan msg } {
    puts "$nick $address $chan $msg"
}
proc onmode { nick address chan mode target } {
    puts "$nick $address $chan $mode $target"
}
proc onchanmode { nick address chan mode } {
    puts "$nick $address $chan $mode "
}


puts "bezerk.tcl loaded"
